# KotlinFunctionsForObject<T extends Object> extension

on
  - T

## Methods

also(void operationFor(T self)) → T
let<R>(R operationFor(T self)) → R

1. scanbot_sdk
2. sdk_utils
3. KotlinFunctionsForObject extension

##### sdk_utils library

1. Extensions
2. KotlinFunctionsForObject
3. Constants
4. allDocumentFormatTypes
5. contourDetectorTypeMap
6. imageFormatMap
7. Functions
8. colorFromString
9. dateFromString
10. fileUriToString
11. imageFilterJsonValue
12. stringToFileUri
13. toArgbString
14. toColorString
15. toRgbaString
16. uintListFromString

1. Methods
2. also
3. let